/*
 * Copyright (C) 2009, 2010 by Nicole Faerber <nicole.faerber@dpin.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 */

struct TMC_info {
	char provider_str[9];
};

struct TMC_msg {
	int CI;
	int neg_off, pos_off, lin_ref;
	char road_nr[256], fst_name[256];
	char rdir1[256], rdir2[256];
	char last_name[256];
	char evt_str[256];
	unsigned char msgsz;
	unsigned short msgs[6][3];
};

extern sqlite3 *lcl_db;

void decode_tmc(unsigned short *rdsgroup);

void tmc_init(void);

void tmc_set_sid_cb(void (*tmc_sid_cb)(char *sid_text, void *user_data), void *user_data);
void tmc_set_msg_cb(void (*tmc_msg_cb)(char *msg, void *user_data), void *user_data);

